Bug 6416 - erroneous error on recovery with terminations
: erroneous error on recovery with terminations
Status: RESOLVED FIXED
: Nimbus
Workspace service
: TP2.0
: PC Linux
: P3 normal
: TP2.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2008-09-25 14:47 by
Modified: 2008-10-15 09:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-09-25 14:47:23
When recovery after a container restart happens and a VM was meant to be
terminated in the meantime, this error happens:

======
ERROR service.InstanceHome [ServiceThread-7,find:183] creatorID may not be null
org.nimbustools.api.services.rm.ManageException: creatorID may not be
null
======

This should not happen, there's an inconsistency in the object cache for the
WSRF messaging layer because of the termination.
------- Comment #1 From 2008-10-14 21:47:51 -------
Committed:

Fix for Bug #6392
Fix for Bug #6394
Fix for Bug #6416

Erroneous errors involving destruction coupled with status queries.  All the
same cause, missing removal step in the workspace service object cache manager.